Summary: This RPM will configure a Linux based computer to be compatible with both the Heimdal and Active Directory realms. 
Name: cern-kerberos-migration
Version: 0.1
Release: 1
License: distributable
Group: System Environment/Daemons
Buildroot: /tmp/%{name}
Source0: %{name}-%{version}.tgz

Requires: pam-devel krb5-devel arc >= 44-25.cern

%description
This rpm will enable the machine to accept Kerberos authentication requests from both the CERN Active Directory and Heimdal realms, and to authenticate against both realms. The default /etc/krb5.conf remains the same, ensuring that the machine and any user will be in the Heimdal realm by default. Changing the KRB5_CONFIG variable to /etc/krb5.conf.windows in a shell will switch it to authenticate against the AD realm. 

This is a temporary setup, which will remain in place for the duration of the migration, allowing machines and users of machines to be recognised in both realms.

%prep 
%setup -c

%build
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_lib}/security
install -m 755 pam_ensure_correct_realm.so $RPM_BUILD_ROOT/%{_lib}/security

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}
install -m 644 krb5.conf.linux $RPM_BUILD_ROOT/%{_sysconfdir}
install -m 644 krb5.conf.windows $RPM_BUILD_ROOT/%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post
echo "session    optional     pam_ensure_correct_realm.so" >> %{_sysconfdir}/pam.d/sshd
/usr/bin/cern-config-keytab -v
exit 0
%preun

%postun

%files
%defattr(-,root,root)
/%{_lib}/security/pam_ensure_correct_realm.so
/%{_sysconfdir}/krb5.conf.linux
/%{_sysconfdir}/krb5.conf.windows
%changelog
* Thu Jan 6 2010 John Hefferman <john_hefferman@cern.ch> 1.0p1-1
John - Changed the pam module according to security team's suggestions
